Summary:	CVE reporting tool
Name: 		cvechecker
Version: 	4.0
Release: 	%mkrel 1
Group: 		System/Servers
License: 	GPLv3
URL:		https://github.com/sjvermeu/cvechecker/wiki
Source0: 	https://github.com/sjvermeu/cvechecker/archive/%{name}-%{version}/%{name}-%{version}.tar.gz
BuildRequires:	pkgconfig(libbsd)
BuildRequires:	pkgconfig(libconfig)
BuildRequires:	mysql-devel
BuildRequires:	pkgconfig(openssl)
BuildRequires:	pkgconfig(sqlite3)
Requires:	wget
Requires:	xsltproc
Requires:	jq

%description
cvechecker reports about possible vulnerabilities on your system by scanning
the installed software and matching the results with the CVE database. This is
not a bullet-proof method and you will most likely have many false positives,
but it is still better than nothing, especially if you are running a
distribution with little security coverage.

%prep
%setup -q -n %{name}-%{name}-%{version}
%autopatch -p1

%build
autoreconf -vfi
%configure \
    --localstatedir=%{_sharedstatedir} \
    --enable-sqlite3 \
    --enable-mysql
%make_build

%install
%make_install

rm -rf %{buildroot}%{_docdir}/*

%files
%doc README.md ChangeLog docs/userguide.xml
%attr(0640,root,root) %config(noreplace) %{_sysconfdir}/cvechecker.conf
%{_bindir}/*
%attr(0644,root,root) %{_mandir}/man1/*
%{_datadir}/cvechecker
%dir %{_sharedstatedir}/cvechecker
%dir %{_sharedstatedir}/cvechecker/local
%dir %{_sharedstatedir}/cvechecker/cache




%changelog
* Thu Nov 19 2020 daviddavid <daviddavid> 4.0-1.mga8
+ Revision: 1647617
- new version: 4.0

* Fri Feb 14 2020 umeabot <umeabot> 3.9-2.mga8
+ Revision: 1520012
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%configure2_5x

* Thu Nov 01 2018 daviddavid <daviddavid> 3.9-1.mga7
+ Revision: 1327239
- new version: 3.9
- remove merged upstream patches

* Sun Sep 23 2018 umeabot <umeabot> 3.8-2.mga7
+ Revision: 1297383
- Mageia 7 Mass Rebuild

* Sat May 19 2018 daviddavid <daviddavid> 3.8-1.mga7
+ Revision: 1230431
- new version: 3.8
- backport some upstream fixes
- now project moved on github

* Fri Apr 06 2018 kekepower <kekepower> 3.5-1.mga7
+ Revision: 1215606
- Update to version 3.5

* Sat Dec 23 2017 wally <wally> 3.4-6.mga7
+ Revision: 1184224
- rebuild for new mariadb

* Sat Feb 06 2016 umeabot <umeabot> 3.4-5.mga6
+ Revision: 941901
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 3.4-4.mga5
+ Revision: 739478
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 3.4-3.mga5
+ Revision: 678646
- Mageia 5 Mass Rebuild

* Sat Oct 19 2013 umeabot <umeabot> 3.4-2.mga4
+ Revision: 536679
- Mageia 4 Mass Rebuild

* Tue Sep 24 2013 oden <oden> 3.4-1.mga4
+ Revision: 485332
- 3.4

* Fri Jan 11 2013 umeabot <umeabot> 3.2-2.mga3
+ Revision: 348514
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Mon Nov 26 2012 oden <oden> 3.2-1.mga3
+ Revision: 322107
- imported package cvechecker


* Mon Nov 26 2012 Oden Eriksson <oeriksson@mandriva.com> 3.2-1
- 3.2

* Thu Apr 14 2011 Oden Eriksson <oeriksson@mandriva.com> 3.1-1mdv2011.0
+ Revision: 652911
- import cvechecker


* Thu Apr 14 2011 Oden Eriksson <oeriksson@mandriva.com> 3.1-1mdv2010.2
- 3.1

* Wed Apr 13 2011 Oden Eriksson <oeriksson@mandriva.com> 3.0-1mdv2010.2
- initial Mandriva package
